v3.0: Support multi-keyword order number search
10/13/2024 08:42 PM - Xihua Fan

Status: aao Start date: 10/14/2024
Priority: I Due date: 10/14/2024
Assignee: Zhongbao Ye % Done: 100%
Category: Estimated time: 4.00 hours
Target version: v3.0 Spent time: 0.00 hour
Description

Background

1. Improve efficiency
Output
® Report and Solution

Others

History

#1 - 10/14/2024 09:35 AM - Xihua Fan
- Description updated

#2 - 10/14/2024 07:22 PM - Zhongbao Ye
- Status changed from 000 to0010
- % Done changed from 0 to 100

Output(2024/10/14) 00
Task Detail 1:Commit ID: e8b3a37deb29¢3c00bdc9d6938563c6124f167d
1. Support multi-keyword order number search.
Solution: Use separators: full-width [D] half-width [,] space [ ] newline [\n] Tab [\] to split orderNo.
2. Adjust the width of input (orderNo)
Old: 110px -> New: 200px
3. Fixed the bug of batch querying orders based on multiple orderNo.
e Note:
1. Scan search export to excel is not supported
Task Detail 2:Commit ID: 8c561f2da2cdd21f8d1d92ad53527e502f9d5¢ca8,bee80f8cb2aaed57fa9984dbae0d9f855d6237c0
1. Add a search input(Opt) in the order list page, and add a search filter to the query condition.
¢ Note:
1. Only supports fuzzy query of a single operator, not simultaneous query of multiple operators.

2. Operator queries are based on order levels. If multiple order products are operated by different operators, when searching for one of them, other
sub-orders will also be displayed.
